commit 9d85b9880e1772ead961c7b5a2bd8caab57815bf
Author: Jim Wilson <jimw@sifive.com>
Date:   Wed Sep 30 13:06:28 2020 -0700

    Fix build failure with zstd versio9n 1.2.0 or older.
    
    Extends the configure check for zstd.h to also verify the zstd version,
    since gcc requires features that only exist in 1.3.0 and newer.  Without
    this patch we get a build error for lto-compress.c when using an old zstd
    version.
    
            Backported from master:
            2020-09-29  Jim Wilson  <jimw@sifive.com>
    
            gcc/
            PR bootstrap/97183
            * configure.ac (gcc_cv_header_zstd_h): Check ZSTD_VERISON_NUMBER.
            * configure: Regenerated.

diff --git a/gcc/configure.ac b/gcc/configure.ac
index 715fcba0482..070b9c6c497 100644
--- a/gcc/configure.ac
+++ b/gcc/configure.ac
@@ -1382,8 +1382,13 @@ LDFLAGS="$LDFLAGS $ZSTD_LDFLAGS"
 
 AC_MSG_CHECKING(for zstd.h)
 AC_CACHE_VAL(gcc_cv_header_zstd_h,
+# We require version 1.3.0 or later.  This is the first version that has
+# ZSTD_getFrameContentSize.
 [AC_COMPILE_IFELSE([AC_LANG_PROGRAM(
-[[#include <zstd.h>]])],
+[[#include <zstd.h>
+#if ZSTD_VERSION_NUMBER < 10300
+#error "need zstd 1.3.0 or better"
+#endif]])],
   [gcc_cv_header_zstd_h=yes],
   [gcc_cv_header_zstd_h=no])])
 AC_MSG_RESULT($gcc_cv_header_zstd_h)

